Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2024-2201

Published: 9 April 2024

[x86: Native Branch History Injection]

From the Ubuntu Security Team

Sander Wiebing, Alvise de Faveri Tron, Herbert Bos, and Cristiano Giuffrida discovered that the Linux kernel mitigations for the initial Branch History Injection vulnerability (CVE-2022-0001) were insufficient for Intel processors. A local attacker could potentially use this to expose sensitive information.

Notes

AuthorNote
sbeattie
in the short term, Ubuntu 6.6 based kernels (Ubuntu 23.10
LTS and Ubuntu 22.04 HWE kernels) have backported the first round of
native_bhi mitigations, but are defaulting to spectre_bhi=auto. The
kernel commandline parameter can be changed to spectre_bhi=on if
desired; see the kernel parameters documentation linked to in the
references section.  This default will change to match the upstream
kernel's default to "on" in a subsequent update.
rodrigo-zaiden
USN-6765-1 for linux-oem-6.5 wrongly stated that this CVE
was fixed in version 6.5.0-1022.23. The mentioned notice was revoked and
the state of the fix for linux-oem-6.5 was recovered to the previous
state.

Priority

Medium

Status

Package Release Status
linux
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-226.238)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-187.207)
jammy
Released (5.15.0-106.116)
mantic
Released (6.5.0-35.35)
noble Not vulnerable
(6.8.0-28.28)
trusty Ignored
(ESM criteria, was needed)
upstream
Released (6.9~rc4)
xenial
Released (4.4.0-256.290)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
Patches:
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by ed2e8d49b54d677f3123668a21a57822d679651f
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 95a6ccbdc7199a14b71ad8901cb788ba7fb5167b
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by ec9404e40e8f36421a2b66ecb76dc2209fe7f3ef
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by be482ff9500999f56093738f9219bbabc729d163
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 0f4a837615ff925ba62648d280a861adf1582df7
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 7390db8aea0d64e9deb28b8e1ce716f5020c7ee5
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 1e3ad78334a69b36e107232e337f9d693dcc9df2
Introduced by

1da177e4c3f41524e886b7f1b8a0c1fc7321cac2

Fixed by 0cd01ac5dcb1e18eb18df0f0d05b5de76522a437
linux-allwinner-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(end of kernel support)
mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-aws
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1169.182)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1127.137)
jammy
Released (5.15.0-1061.67)
mantic
Released (6.5.0-1020.20)
noble Not vulnerable
(6.8.0-1006.6)
trusty
Released (4.4.0-1133.139)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (6.9~rc4)
xenial
Released (4.4.0-1171.186)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-aws-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-aws-5.3)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-5.3)
linux-aws-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-aws-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-5.13)
linux-aws-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-aws-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-5.15)
linux-aws-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1061.67~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-aws-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-aws-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-6.2)
linux-aws-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-aws-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-5.4)
linux-aws-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1127.137~18.04.2)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-aws-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-aws-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-5.11)
linux-aws-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-aws-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-aws-6.5)
linux-aws-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1020.20~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-aws-fips
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-aws-hwe
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
xenial
Released (4.15.0-1169.182~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-azure
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal
Released (5.4.0-1132.139)
jammy
Released (5.15.0-1063.72)
mantic
Released (6.5.0-1021.22)
noble Not vulnerable
(6.8.0-1005.5)
trusty
Released (4.15.0-1178.193~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (6.9~rc4)
xenial
Released (4.15.0-1178.193~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-azure-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1178.193)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-azure-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-5.13)
linux-azure-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-azure-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-5.15)
linux-azure-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1063.72~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-azure-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-6.2)
linux-azure-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-5.4)
linux-azure-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1132.139~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-azure-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-5.11)
linux-azure-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-azure-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-6.5)
linux-azure-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1021.22~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-azure-5.3)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-5.3)
linux-azure-fde
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-azure-fde-5.15)
jammy
Released (5.15.0-1063.72.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-fde-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1063.72~20.04.1.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-azure-fde-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-azure-fde-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-azure-fde-6.2)
linux-azure-fde-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(replaced by linux-azure-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(replaced by linux-azure-6.5)
linux-azure-fips
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-bluefield
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1087.94)
jammy Pending
(5.15.0-1043.45)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-fips
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gcp
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.3)
focal
Released (5.4.0-1131.140)
jammy
Released (5.15.0-1059.67)
mantic
Released (6.5.0-1020.20)
noble Not vulnerable
(6.8.0-1005.5)
upstream
Released (6.9~rc4)
xenial
Released (4.15.0-1163.180~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-gcp-4.15
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1163.180)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gcp-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-gcp-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-5.13)
linux-gcp-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-gcp-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-5.15)
linux-gcp-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1059.67~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gcp-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-gcp-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-6.2)
linux-gcp-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gcp-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-5.4)
linux-gcp-5.4
Launchpad, Ubuntu, Debian
bionic Ignored
(ESM criteria, was needed)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gcp-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-gcp-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-5.11)
linux-gcp-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-gcp-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gcp-6.5)
linux-gcp-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1020.20~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gcp-fips
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-gke
Launchpad, Ubuntu, Debian
focal Ignored
(end of kernel support)
jammy
Released (5.15.0-1058.63)
mantic Does not exist

noble Not vulnerable
(6.8.0-1003.5)
upstream
Released (6.9~rc4)
linux-gke-4.15
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-gke-5.0)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-gke-5.0)
linux-gke-5.15
Launchpad, Ubuntu, Debian
focal Ignored
(end of kernel support)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-gke-5.4
Launchpad, Ubuntu, Debian
bionic Ignored
(end of kernel support)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-gkeop
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1094.98)
jammy
Released (5.15.0-1044.51)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gkeop-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1044.51~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-gkeop-5.4
Launchpad, Ubuntu, Debian
bionic Ignored
(end of kernel support)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-hwe
Launchpad, Ubuntu, Debian
bionic Ignored
(replaced by linux-hwe-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
xenial
Released (4.15.0-226.238~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-hwe-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-hwe-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-hwe-5.13)
linux-hwe-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-hwe-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-hwe-5.15)
linux-hwe-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-106.116~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-hwe-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-hwe-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-hwe-6.2)
linux-hwe-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-187.207~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-hwe-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-hwe-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-hwe-5.11)
linux-hwe-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-hwe-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-hwe-6.5)
linux-hwe-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-35.35~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-hwe-edge
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-hwe-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
xenial Ignored
(superseded by linux-hwe)
linux-ibm
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1074.79)
jammy
Released (5.15.0-1054.57)
mantic Ignored
(end of kernel support)
noble Not vulnerable
(6.8.0-1003.3)
upstream
Released (6.9~rc4)
linux-ibm-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1054.57~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-ibm-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1074.79~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-intel
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Not vulnerable
(6.8.0-1004.11)
trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-intel-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(end of kernel support)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-intel-iotg
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (5.15.0-1057.63)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-intel-iotg-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1058.64~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-iot
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1039.40)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-kvm
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1153.158)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1115.122)
jammy
Released (5.15.0-1058.63)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
xenial
Released (4.4.0-1134.144)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-laptop
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic
Released (6.5.0-1016.19)
noble Does not exist

upstream
Released (6.9~rc4)
linux-lowlatency
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (5.15.0-106.116)
mantic
Released (6.5.0-35.35.1)
noble Not vulnerable
(6.8.0-25.25.3)
upstream
Released (6.9~rc4)
linux-lowlatency-hwe-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-106.116~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-lowlatency-hwe-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-lowlatency-hwe-6.2)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.2)
linux-lowlatency-hwe-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-lowlatency-hwe-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-lowlatency-hwe-6.5)
linux-lowlatency-hwe-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-35.35.1~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-lts-xenial
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

trusty
Released (4.4.0-256.290~14.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
upstream
Released (6.9~rc4)
linux-nvidia
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (5.15.0-1054.55)
mantic Does not exist

noble Not vulnerable
(6.8.0-1007.7)
upstream
Released (6.9~rc4)
linux-nvidia-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-nvidia-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-nvidia-6.5)
linux-nvidia-6.5
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy
Released (6.5.0-1019.19)
mantic Does not exist

noble Does not exist

trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-oem
Launchpad, Ubuntu, Debian
bionic Ignored
(replaced by linux-hwe-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-oem-5.10
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oem-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-5.13)
linux-oem-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oem-5.14)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-5.14)
linux-oem-5.14
Launchpad, Ubuntu, Debian
focal Ignored
(replaced by linux-hwe-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(replaced by linux-hwe-5.15)
linux-oem-5.17
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-oem-6.1)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-6.1)
linux-oem-5.6
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oem-5.10)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-5.10)
linux-oem-6.0
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-oem-6.1)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-6.1)
linux-oem-6.1
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-oem-6.5, was needs-triage)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oem-6.5, was needs-triage)
linux-oem-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1023.24)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-oem-6.8
Launchpad, Ubuntu, Debian
bionic Does not exist

focal Does not exist

jammy Does not exist

mantic Does not exist

noble Not vulnerable
(6.8.0-1004.4)
trusty Does not exist

upstream
Released (6.9~rc4)
xenial Does not exist

linux-oracle
Launchpad, Ubuntu, Debian
bionic
Released (4.15.0-1132.143)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal
Released (5.4.0-1126.135)
jammy
Released (5.15.0-1059.65)
mantic
Released (6.5.0-1023.23)
noble Not vulnerable
(6.8.0-1004.4)
upstream
Released (6.9~rc4)
xenial
Released (4.15.0-1132.143~16.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
linux-oracle-5.0
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.3)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oracle-5.3)
linux-oracle-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oracle-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oracle-5.13)
linux-oracle-5.13
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oracle-5.15)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oracle-5.15)
linux-oracle-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1059.65~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-oracle-5.3
Launchpad, Ubuntu, Debian
bionic Ignored
(superseded by linux-oracle-5.4)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oracle-5.4)
linux-oracle-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1126.135~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-oracle-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-oracle-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-oracle-5.11)
linux-oracle-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1023.23~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-raspi
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1111.123)
jammy
Released (5.15.0-1054.57)
mantic
Released (6.5.0-1017.20)
noble Not vulnerable
(6.8.0-1003.3)
upstream
Released (6.9~rc4)
linux-raspi-5.4
Launchpad, Ubuntu, Debian
bionic
Released (5.4.0-1111.123~18.04.1)
Available with Ubuntu Pro or Ubuntu Pro (Infra-only)
focal Does not exist

jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-raspi2
Launchpad, Ubuntu, Debian
focal Ignored
(replaced by linux-raspi)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(replaced by linux-raspi)
linux-riscv
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-riscv-5.8)
jammy Ignored
(end of kernel support)
mantic
Released (6.5.0-35.35.1)
noble Not vulnerable
(6.8.0-28.28.1)
upstream
Released (6.9~rc4)
linux-riscv-5.11
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-riscv-5.13)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-riscv-5.13)
linux-riscv-5.15
Launchpad, Ubuntu, Debian
focal
Released (5.15.0-1057.61~20.04.1)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-riscv-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(end of kernel support)
mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-riscv-5.8
Launchpad, Ubuntu, Debian
focal Ignored
(superseded by linux-riscv-5.11)
jammy Does not exist

mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-riscv-5.11)
linux-riscv-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-35.35.1~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-starfive
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Does not exist

mantic
Released (6.5.0-1014.15)
noble Does not exist

upstream
Released (6.9~rc4)
linux-starfive-5.19
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(end of kernel support)
mantic Does not exist

noble Does not exist

upstream Ignored
(end of life)
linux-starfive-6.2
Launchpad, Ubuntu, Debian
focal Does not exist

jammy Ignored
(superseded by linux-starfive-6.5)
mantic Does not exist

noble Does not exist

upstream Ignored
(superseded by linux-starfive-6.5)
linux-starfive-6.5
Launchpad, Ubuntu, Debian
focal Does not exist

jammy
Released (6.5.0-1014.15~22.04.1)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)
linux-xilinx-zynqmp
Launchpad, Ubuntu, Debian
focal
Released (5.4.0-1046.50)
jammy Pending
(5.15.0-1030.34)
mantic Does not exist

noble Does not exist

upstream
Released (6.9~rc4)